<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::group(['namespace' => 'Api'],function() {
    Route::post('/login','LoginController@getLogin');//登录
    Route::post('/refresh/token','LoginController@getRefreshToken');//刷新token
});


Route::group(['namespace' => 'Api','middleware' => ['user.login']], function () {
    Route::post('/logout','LoginController@getLogout');//退出

    Route::group(['prefix' => 'user'],function() {
        Route::post('/add','UserController@getUserAdd');//新增用户
        Route::post('/list','UserController@getUserList');//用户列表
        Route::post('/del','UserController@getUserDel');//删除用户
        Route::post('/reset/pwd','UserController@getResetUserPwd');//充值用户密码
        Route::post('/set/status','UserController@getSetStatus');//设置用户状态
    });

    Route::group(['prefix' => 'white'],function() {
        Route::post('/add','WhiteController@getWhiteAdd');//新增白名单
        Route::post('/list','WhiteController@getWhiteList');//白名单列表
        Route::post('/del','WhiteController@getWhiteDel');//删除白名单
        Route::post('/set/status','WhiteController@getSetStatus');//设置白名单状态
    });

});

